# Command: :resize

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    :resize - Change the internal size of an array.

Synopsis:

    array n resize -> array.

Description:

    resize changes the size of the supplied array
      independent of the current capacity.
      resize is used to free memory by shrinking arrays whose capacity
      has grown too large.

      If the new size is smaller than the array, the trailing elements
      are lost.

SeeAlso:

- capacity
- reserve
- shrink

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative